Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.guids
Class Key

    java.lang.Object
      com.ejie.r01f.guids.Key

All Implemented Interfaces:
  java.io.Serializable

public class Key
extends java.lang.Object
implements java.io.Serializable

Modela una clave (HIGH o LOW)

See Also:
  Serialized Form

Constructor Summary
`Key(int newLength)` ConStruye una clave con el tamaņo que se pasa (que equivala a dicho tamaņo por 8 en bytes)
`Key(java.lang.String inStr)` Construye una clave a partir de su representacion en forma de String

Method Summary
`void` | `increment()` Incrementa el valor de la clave en una unidad.
`void` | `setToZero()` Reinicializa la clave al valor minimo
`java.lang.String` | `toString()` Devuelve la representacion en formato cadena de la clave NOTA: Cuano un array de bytes se pasa a cadena, cada byte ocupa 2 caracteres de la cadena ya que se pasa a la cadena su representacion exadecimal (0=00 .... 255=FF)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Key

    public Key(int newLength)

  ConStruye una clave con el tamaņo que se pasa (que equivala a dicho tamaņo por 8 en bytes)

### Key

    public Key(java.lang.String inStr)

  Construye una clave a partir de su representacion en forma de String

Parameters:
  `inStr` - la representacion en cadena de la clave

Method Detail

### setToZero

    public void setToZero()

  Reinicializa la clave al valor minimo

### increment

    public void increment()
                   throws MaxForKeyReachedException

  Incrementa el valor de la clave en una unidad.

  Throws:
    `MaxForKeyReachedException`

### toString

    public java.lang.String toString()

  Devuelve la representacion en formato cadena de la clave NOTA: Cuano un array de bytes se pasa a cadena, cada byte ocupa 2 caracteres de la cadena ya que se pasa a la cadena su representacion exadecimal (0=00 .... 255=FF)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD